using System;
using System.ComponentModel;
using System.Collections;
using System.Collections.Generic;
using Eco.Persistence;


namespace EcoProject1
{
	public partial class EcoProject1PMP : Eco.Persistence.PersistenceMapperProvider
	{
		#region Eco Managed Code
		private void DoGenerateDB()
		{
			if (PersistenceMapper is PersistenceMapperDb)
				(PersistenceMapper as PersistenceMapperDb).CreateDataBaseSchema(GetTypeSystemService(true), new DefaultCleanPsConfig(true));
			else
				throw new InvalidOperationException("The PersistenceMapper is not a PersistenceMapperDb");
		}
		/// <summary>
		/// Returns the singleton instance of the PersistenceMapperProvider.
		/// </summary>
		public static EcoProject1PMP Instance
		{
			get
			{
				return GetInstance<EcoProject1PMP>();
			}
		}
		#endregion

		public EcoProject1PMP(): base()
		{
			InitializeComponent();
		}

		/// <summary>
		/// Regenerates the database schema, no questions asked.
		/// </summary>
		public static void GenerateDB()
		{
			Instance.DoGenerateDB();
		}
	}
}
